<xsl:stylesheet version="4.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="solo-ladder">
    <link rel="STYLESHEET" type="text/css">
      <xsl:attribute name='href'>main.css</xsl:attribute>
    </link>
        <xsl:apply-templates select="document('pvpgn/Var/Ladders/W3XP_solo.xml')"/>
</xsl:template>

<xsl:template match="status"> 
<xsl:apply-templates select="Users"/>
</xsl:template> 

<xsl:template match="Number">
<xsl:apply-templates select="Users"/>
</xsl:template> 

<xsl:template match="ladder">
       <HTML>
             <TITLE>YOUR SERVER W3TFT Server Stats</TITLE>
             <BODY leftmargin="0" topmargin="5">
            <center>
<img src="img/war3.jpg" /> <br/><br/><br/>

<TABLE bgColor="#999999" width="50%" border="0">
     <TH colspan="4"><center>YOUR SERVER NAME Server Monitoring</center></TH>
<xsl:call-template name="server_header"/>
<xsl:apply-templates select="user"/>
<xsl:apply-templates select="document('pvpgn/Var/Status/server.xml')"/>
</TABLE><br/><br/><br/>  

<table border="0" width="50%">
<tr>
<td><a href="solo_ladder.xml"><center><b>Solo Ladder</b></center></a></td>
<td><a href="team_ladder.xml"><center><b>Team Ladder</b></center></a></td>
<td><a href="ffa_ladder.xml"><center><b>FFA Ladder</b></center></a></td>
</tr>
</table>

<br/>

            <TABLE bgColor="#999999" width="70%" border="0">
                  <TH colspan="11"><center>YOUR SERVER Warcraft III: The Frozen Throne Server Ladder</center></TH>	
                     <xsl:call-template name="players_header"/>
                     <xsl:apply-templates select="player"/>
             </TABLE>  
             </center>
             </BODY>
       </HTML>
</xsl:template>

<xsl:template name="header">
	<xsl:apply-templates select="."/>
</xsl:template>




<xsl:template name="server_header">
          <TR>
               <TD>
	     <font color="#ffcc33"><b>#</b></font>
               </TD>
               <TD>
	     <font color="#ffcc33"><b>User</b></font>
               </TD>
               <TD>
	     <font color="#ffcc33"><b>Game Type</b></font>
               </TD>
              <TD>
	     <font color="#ffcc33"><b>Game Version</b></font>
               </TD>
</TR>
</xsl:template>

<xsl:template match="user">
          <TR>
               <TD>
	      <xsl:number/>
               </TD>

               <TD>
	      <xsl:value-of select="name"/>
               </TD>

               <TD>
	      <xsl:value-of select="clienttag"/>
               </TD>
               <TD>
	      <xsl:value-of select="version"/>
               </TD>
</TR>
</xsl:template>





<xsl:template name="players_header">
          <TR>
               <TD>
	     <font color="#ffcc33"><b>Rank</b></font>
               </TD>
               <TD>
	      <font color="#ffcc33"><b> User </b></font>
               </TD>
               <TD>
	      <font color="#ffcc33"><b> Experience </b></font>
               </TD>
               <TD>
	       <font color="#ffcc33"><b>Level</b></font>
               </TD>
               <TD>
	      <font color="#ffcc33"><b>Wins</b></font>
               </TD>
               <TD>
	      <font color="#ffcc33"><b>Losses</b></font>
               </TD>
               <TD>
               <font color="#ffcc33"><b>Random</b></font>
               </TD>
               <TD>
               <font color="#ffcc33"><b>Orc</b></font>
               </TD>
               <TD>
	      <font color="#ffcc33"><b>Human</b></font>
               </TD>
               <TD>
	      <font color="#ffcc33"><b>Nightelf</b></font>
               </TD>
               <TD>
	      <font color="#ffcc33"><b>Undead</b></font>
               </TD>
          </TR>
</xsl:template>

<xsl:template match="player">
          <TR>
               <TD>
	      <xsl:value-of select="rank"/>
               </TD>
               <TD>
	      <xsl:value-of select="name"/>
               </TD>
               <TD>
	      <xsl:value-of select="xp"/>
               </TD>
               <TD>
	      <xsl:value-of select="level"/>
               </TD>
               <TD>
	      <xsl:value-of select="wins"/>
               </TD>
               <TD>
	      <xsl:value-of select="losses"/>
               </TD>
               <TD>
	      <xsl:value-of select="races/random/wins"/>/<xsl:value-of select="races/random/losses"/>
               </TD>
               <TD>
	      <xsl:value-of select="races/orc/wins"/>/<xsl:value-of select="races/orc/losses"/>
               </TD>
               <TD>
	      <xsl:value-of select="races/human/wins"/>/<xsl:value-of select="races/human/losses"/>
               </TD>
               <TD>
	      <xsl:value-of select="races/nightelf/wins"/>/<xsl:value-of select="races/nightelf/losses"/>
               </TD>
               <TD>
	      <xsl:value-of select="races/undead/wins"/>/<xsl:value-of select="races/undead/losses"/>
               </TD>
          </TR>
</xsl:template>
</xsl:stylesheet>